Template:Gallery box/styles.css

From Final Fantasy XIV Online Wiki
Jump to navigation Jump to search
/* Collapsible boxes via .mw-collapsible */
.box-header.mw-collapsible-toggle {
	position: relative;
	float: none;
	font: inherit;
	padding-left: 2.25em;
	margin: -0.5em;
	padding: 0.75em 0.5em;
	padding-left: 2.25em;
}
.box-header.mw-collapsible-toggle::before {
	content: "";
	position: absolute;
	top: 50%;
	left: 1em;
	border: 0.375em solid transparent;
	border-left-color: transparent;
	border-inline-width: 0.75em;
	border-left-color: currentcolor;
	transform-origin: 25% 50%;
	transform: translateY(-50%) rotate(90deg);
	transition: transform 200ms;
}
.mw-collapsed .box-header.mw-collapsible-toggle::before,
.mw-collapsed .dialogue-line.mw-collapsible-toggle::before {
	transform: translateY(-50%) rotate(0deg);
}